**Source URL:** https://limited.veevavault.dev/vault-api/api-reference/26.1/workflows/retrieve-workflow-action-details

# Retrieve Workflow Action Details

Retrieve details about a workflow action. For example, the `prompts` needed to complete a workflow action.

<Endpoint path="/api/{version}/objects/objectworkflows/{workflow_id}/actions/{workflow_action}" method="GET" />

## Headers

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters

<FieldTable>
| Name | Description |
| --- | --- |
| `{workflow_id}` | The workflow id field value. |
| `{workflow_action}` | The `name` of the workflow action. To get this value, you can [Retrieve Workflow Actions](/vault-api/api-reference/26.1/workflows/retrieve-workflow-actions). |
</FieldTable>

## Request

<CodeExample title="">
```bash
curl -X GET "Authorization: {SESSION_ID}" \
  https://myvault.veevavault.com/api/v19.3/objects/objectworkflows/1801/actions/removecontent
```
</CodeExample>

## Response

<CodeExample title="">
```json
{
   "responseStatus": "SUCCESS",
   "data": {
       "name": "removecontent",
       "label": "Remove Content",
       "controls": [
           {
               "label": "Documents",
               "type": "documents",
               "prompts": [
                   {
                       "name": "documents__sys",
                       "label": "Documents",
                       "required": true
                   }
               ],
               "current_values": [
                   {
                       "document_id__v": "67"
                   },
                   {
                       "document_id__v": "41"
                   }
               ]
           }
       ]
   }
}
```
</CodeExample>

## Response Details

On `SUCCESS`, the response lists all prompts required to complete the workflow action. If the workflow action does not require any prompts, the response will only list SUCCESS. In the example response, the `removecontent` workflow action requires a value for `contents__sys`.

---

**Previous:** [Retrieve Workflow Actions](/vault-api/api-reference/26.1/workflows/retrieve-workflow-actions)  
**Next:** [Initiate Workflow Action](/vault-api/api-reference/26.1/workflows/initiate-workflow-action)